Delete Contact Property
Delete a contact property by ID. This will remove all associated values from contacts.
DELETE
/contact-properties/{property_id}Requires a full_access API key.
Path Parameters
property_idstringrequiredThe ID of the property to delete.
Response Fields
objectstringAlways "contact_property".
idstringThe property ID.
deletedbooleanAlways true.
curl -X DELETE 'https://api.postflare.app/contact-properties/c3d4e5f6-a7b8-9012-cdef-123456789012' \
-H 'Authorization: Bearer re_xxxxxxxxx'const response = await fetch(
'https://api.postflare.app/contact-properties/c3d4e5f6-a7b8-9012-cdef-123456789012',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer re_xxxxxxxxx',
},
}
);
const data = await response.json();Response
{
"object": "contact_property",
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"deleted": true
}